dpkg(1)

NAZWA
dpkg - menedżer pakietów Debiana

SKŁADNIA
dpkg [opcje] działanie

UWAGA
Ten podręcznik jest przeznaczony dla użytkowników, którzy chcą poznać opcje programu dpkg oraz chcą dowiedzieć się o pakietach więcej niż podaje to dpkg --help. Ten podręcznik nie wyjaśnia technicznych szczegółów, np. w jaki sposób dpkg instaluje lub usuwa swoje pakiety, gdyż jest to dla przeciętnego użytkownika zupełnie nieistotne.

OPIS
dpkg jest narzędziem do instalowania, tworzenia, usuwania pakietów systemu Debian oraz do zarządzania nimi. Podstawowym i bardziej przyjaznym użytkownikowi narzędziem-nakładką dpkg jest aptitude(1). Sam dpkg jest obsługiwany z linii komend, przez podanie dokładnie jednego działania oraz dodatkowych, nieobowiązkowych opcji. Parametr działanie określa, co dpkg ma zrobić, a dodatkowe opcje modyfikują to działanie. dpkg może być także użyty jako nakładka na dpkg-deb(1). Wymienione poniżej działania są działaniami programu dpkg-deb i jeżeli zostaną użyte, to dpkg uruchomi dpkg-deb, przekazując mu odpowiednie parametry:
    -b, --build,
    -c, --contents,
    -I, --info,
    -f, --field,
    -e, --control,
    -x, --extract,
    -X, --vextract oraz
    --fsys-tarfile.
Działania te są opisane w osobnym podręczniku do dpkg-deb(1).

INFORMACJE O PAKIETACH
dpkg zarządza informacjami o dostępnych pakietach. Informacje zostały podzielone na trzy klasy: stan bieżący, stan wyboru oraz flagę. Wartości te mogą zostać zmienione za pomocą programu dselect.

  STAN BIEŻĄCY PAKIETÓW

not-installed (niezainstalowany)
    Pakiet nie jest zainstalowany w systemie.

config-files (pliki-konfiguracyjne)
    Tylko pliki konfiguracyjne pakietu zostały w systemie.

half-installed (wpółzainstalowany)
    Instalacja pakietu została rozpoczęta, ale niedokończona z pewnych powodów.

unpacked (rozpakowany)
    Pakiet jest rozpakowany, ale nie skonfigurowany.

half-configured (wpółskonfigurowany)
    Pakiet jest rozpakowany, a konfiguracja została rozpoczęta, ale niedokończona z pewnych powodów.

triggers-awaited
    Pakiet oczekuje przetworzenia wyzwalaczy przez inny pakiet.

triggers-pending
    Pakiet został pobudzony.

installed (zainstalowany)
    Pakiet jest rozpakowany i poprawnie skonfigurowany.

  STAN WYBORU PAKIETÓW

install (instalacja)
    Pakiet został wybrany do zainstalowania.

hold (wstrzymanie)
    Pakiet oznaczony jako wstrzymany nie jest obsługiwany przez dpkg, chyba że użyje się opcji --force-hold.

deinstall (deinstalacja)
    Pakiet został wybrany do odinstalowania (to znaczy, że chcemy skasować wszystkie pliki pakietu oprócz plików konfiguracyjnych).

purge (wyczyszczenie)
    The package is selected to be purged (i.e. we want to remove everything from system directories, even configuration files).

  FLAGI PAKIETÓW

reinst-required (konieczna-reinstalacja)
    Pakiet oznaczony jako konieczna-reinstalacja jest uszkodzony i wymaga reinstalacji. Taki pakiet nie może zostać usunięty, chyba że użyje się opcji --force-remove-reinstreq.

AKCJE

-i, --install plik_pakietu...
    Instalacja pakiet. Jeśli została użyta opcja --recursive lub -R, plik_pakietu musi oznaczać wybrany katalog. Instalacja składa się z następujących kroków:
    1. Rozpakowanie plików kontrolnych nowego pakietu.
    2. Jeśli inna wersja tego samego pakietu jest już zainstalowana, uruchomienie skryptu prerm starego pakietu.
    3. Uruchomienie skryptu preinst, jeśli pakiet go zawiera.
    4. Rozpakowanie nowych plików, ale przechowanie starych na wypadek, gdyby instalacja się nie powiodła i trzeba by je odzyskać.
    5. Jeśli inna wersja tego samego pakietu była poprzednio zainstalowana, uruchomienie skryptu postrm starego pakietu. Proszę zauważyć, że ten skrypt jest uruchamiany po skrypcie preinst nowego pakietu, ponieważ nowe pliki są zapisywane w tym samym czasie, gdy stare są kasowane.
    6. Konfiguracja pakietu. Bardziej szczegółowe informacje zawarto przy opisie parametru --configure.

--unpack plik_pakietu...
    Rozpakowanie pakietu, ale bez konfigurowania go. Jeśli została użyta opcja --recursive lub -R, plik_pakietu musi oznaczać wybrany katalog.

--configure pakiet...|-a|--pending
    Configure a package which has been unpacked but not yet configured. If -a or --pending is given instead of package, all unpacked but unconfigured packages are configured. To reconfigure a package which has already been configured, try the dpkg-reconfigure(8) command instead. Konfigurowanie składa się z następujących kroków:
    1. Rozpakowanie nowych plików konfiguracyjnych, ale przechowanie starych na wypadek, gdyby konfigurowanie się nie powiodło i trzeba by je odzyskać.
    2. Uruchomienie skryptu postinst, jeśli pakiet go zawiera.

--triggers-only pakiet...|-a|--pending
    Przetwarzanie samych wyzwalaczy. Wszystkie zaplanowane wyzwalacze zostaną przetworzone. Jeśli podane są nazwy pakietów, tylko ich wyzwalacze zostaną przetworzone - każdy dokładnie raz, tam gdzie to potrzebne. Użycie tej opcji może pozostawić pakiety w niewłaściwym stanie triggers-awaited lub triggers-pending. Może to być później naprawione przez wywołanie: dpkg --configure --pending.

-r, --remove, -P, --purge pakiet...|-a|--pending
    Remove an installed package. -r or --remove remove everything except conffiles. This may avoid having to reconfigure the package if it is reinstalled later. (Conffiles are configuration files that are listed in the DEBIAN/conffiles control file). -P or --purge removes everything, including conffiles. If -a or --pending is given instead of a package name, then all packages unpacked, but marked to be removed or purged in file /var/lib/dpkg/status, are removed or purged, respectively. Note: some configuration files might be unknown to dpkg because they are created and handled separately through the configuration scripts. In that case, dpkg won't remove them by itself, but the package's postrm script (which is called by dpkg), has to take care of their removal during purge. Of course, this only applies to files in system directories, not configuration files written to individual users' home directories. Usunięcie pakietu składa się z następujących kroków:
    1. Uruchomienie skryptu prerm
    2. Usunięcie zainstalowanych plików
    3. Uruchomienie skryptu postrm

--update-avail, --merge-avail plik-pakietów
    Zaktualizowanie bazy danych programu dpkg oraz dselect o dostępnych pakietach. Opcja --merge-avail powoduje, że poprzednie informacje są łączone z nowymi z pliku_pakietów. Opcja --update-avail powoduje zastąpienie starych informacji nowymi z pliku_pakietów. Plik_pakietów dystrybuowany razem z systemem Debian nazywa się po prostu Packages. dpkg przechowuje informacje o dostępnych pakietach w pliku /var/lib/dpkg/available. Prostszym poleceniem, którego można użyć w celu pobrania i odświeżenia pliku available, jest dselect update. Proszę zauważyć, że plik ten jest zasadniczo nieużyteczny, jeśli nie używa się dselect tylko nakładki bazującej na APT. Przyczyną tego jest fakt, że APT posiada własny system określania dostępności pakietów.

-A, --record-avail plik_pakietu...
    Zaktualizowanie bazy danych programów dpkg oraz dselect o dostępnych pakietach, uwzględniając informacje zawarte w pakiecie plik_pakietu. Jeśli została użyta opcja --recursive lub -R, plik_pakietu musi oznaczać wybrany katalog.

--forget-old-unavail
    Aktualnie przestarzałe i nie daje żadnego efektu, ponieważ dpkg automatycznie zapomina o niezainstalowanych, niedostępnych pakietach.

--clear-avail
    Skasowanie informacji o dostępnych pakietach.

-C, --audit
    Wyszukanie pakietów, które zainstalowane są w systemie tylko częściowo. dpkg zasugeruje, co można zrobić z tymi pakietami, aby w pełni działały.

--get-selections [wzorzec-nazwy-pakietu...]
    Pobranie listy wybranych pakietów i wypisanie jej na stdout. Jeżeli nie podano wzorca, pakiety niezainstalowane (czyli takie, które nie zostały uprzednio wyczyszczone) nie zostaną wyświetlone.

--set-selections
    Ustawia wybór pakietów używając pliku przeczytanego ze standardowego wejścia. Plik ten powinien być w następującym formacie "<pakiet> <stan>", gdzie stan jest jednym z install, hold, deinstall lub purge. Dozwolone są także linie puste i linie komentarza - zaczynające się od "#".

--clear-selections
    Oznacza wszystkie pakiety nie będące pakietami niezbędnymi (essential) jako przeznaczone do usunięcia. Opcja ta powinna być użyta bezpośrednio przed --set-selections, aby usunąć wszystkie pakiety niewymienione w --set-selections.

--yet-to-unpack
    Wyszukanie pakietów przeznaczonych do zainstalowania, które z pewnych powodów nie mogły zostać zainstalowane.

--print-architecture
    Podanie architektury pakietów instalowanych przez dpkg (na przykład "i386").

--compare-versions wersja1 op wersja2
    Porównanie numerów wersji, gdzie op jest operatorem binarnym. dpkg zwróci prawdę (rezultat zerowy) - gdy warunek jest spełniony, lub zwróci fałsz (rezultat niezerowy) - w przeciwnym razie. Istnieją dwie grupy operatorów, w zależności od tego, w jaki sposób traktuje się pusty numer wersji1 lub wersji2. Operatory, dla których pusty numer wersji oznacza wersję wcześniejszą niż dowolna: lt le eq ne ge gt. Operatory, dla których pusty numer wersji oznacza wersję późniejszą niż dowolna: lt-nl le-nl ge-nl gt-nl. Operatory istniejące, aby zachować kompatybilność z plikiem kontrolnym: < << <= = >= >> >.

--command-fd <n>
    Accept a series of commands on input file descriptor <n>. Note: additional options set on the command line, and through this file descriptor, are not reset for subsequent commands executed during the same run.

--help
    Wyświetlenie krótkiego komunikatu pomocy.

--force-help
    Wyświetlenie opisu opcji --force-działanie.

-Dh, --debug=help
    Wyświetlenie opisu opcji debuggera.

--version
    Wyświetlenie informacji o wersji dpkg.

akcje dpkg-deb
    Proszę zajrzeć do dpkg-deb(1), aby poznać pełny opis następujących działań.
    -b, --build katalog [archiwum|katalog]
        Zbudowanie pakietu deb.
    -c, --contents archiwum
        Podanie zawartości pakietu deb.
    -e, --control nazwa-pliku [katalog]
        Rozpakowanie plików kontrolnych z pakietu.
    -x, --extract archiwum katalog
         Rozpakowanie plików zawartych w pakiecie.
    -X, --vextract archiwum katalog
        Rozpakowanie pakietu i podanie nazw plików, które
        zawiera pakiet.
    -f, --field archiwum [pole-kontrolne...]
        Podanie informacji z pól kontrolnych pakietu.
    --fsys-tarfile archiwum
        Podanie na stdout archiwum tar, które zawiera pakiet
        Debiana.
    -I, --info archiwum [plik-kontrolny...]
         Podanie informacji o pakiecie.

akcje dpkg-query
    Proszę przeczytać dpkg-query(8), aby uzyskać szczegółowe informacje o następujących działaniach.
    -l, --list wzorzec-nazw-pakietów...
        Wyświetla pakiety pasujące do wzorca.
    -s, --status nazwa-pakietu...
        Wyświetla informacje o stanie danego pakietu.
    -L, --listfiles nazwa-pakietu...
        Wyświetla listę plików zainstalowanych w systemie przez pakiet nazwa-pakietu.
    -S, --search wzorzec-wyszukiwania-nazw-plików...
        Wyszukuje nazwy plików w zainstalowanych pakietach.
    -p, --print-avail nazwa-pakietu...
        Wyświetla szczegółowe informacje na temat pakietu nazwa-pakietu,
        pochodzące z pliku /var/lib/dpkg/available. Użytkownicy nakładek
        opartych o APT powinni używać apt-cache show package-name zamiast
        tej opcji.

OPCJE
Wszystkie opcje mogą być podane zarówno w linii poleceń, jak i w pliku konfiguracyjnym /etc/dpkg/dpkg.cfg programu dpkg lub w plikach w katalogu konfiguracyjnym /etc/dpkg/dpkg.cfg.d/. Każda linia pliku konfiguracyjnego jest albo opcją (dokładnie taką samą jak opcja linii poleceń, ale bez początkowych myślników), albo komentarzem (jeżeli zaczyna się od #).

--abort-after=liczba
    Zmiana liczby błędów, po których dpkg zaprzestanie działania. Domyślna wartość to 50.

-B, --auto-deconfigure
    Gdy pakiet jest usuwany, możliwe jest, że inny zainstalowany pakiet zależy od tego usuwanego. Podanie tej opcji spowoduje automatyczne dekonfigurowanie pakietów, które są zależne od usuwanego.

-Dósemkowo, --debug=ósemkowo
    Włączenie trybu debuggera. ósemkowo jest liczbą ósemkową będącą sumą logiczną bitów opcji debuggera z poniższej listy (te wartości mogą się zmienić w przyszłości). Parametr -Dh lub --debug=help wyświetla te wartości.
          numer opis
             1 Ogólnie przydatne informacje o postępie
             2 Wywołanie i stan skryptów kontrolnych
            10 Informacje o każdym przetwarzanym pliku
           100 Więcej informacji o każdym przetwarzanym pliku
            20 Informacje o każdym pliku konfiguracyjnym
           200 Więcej informacji o każdym pliku konfiguracyjnym
            40 Zależności i konflikty
           400 Więcej informacji o zależnościach i konfliktach
         10000 Informacje o aktywacji i przetwarzaniu wyzwalaczy
         20000 Więcej informacji dotyczących wyzwalaczy
         40000 Szczegółowe informacje dotyczące wyzwalaczy
          1000 Mnóstwo informacji m.in. o plikach info z bazy danych dpkg
          2000 Reszta szczegółowych informacji

--force-działania, --no-force-działania, --refuse-działania
    Wymuś (--force-) wykonanie pewnych działań lub pozostaw domyślny sposób (no-force i refuse oznaczają to samo) wykonania działań. działania to rozdzielona przecinkami lista działań. --force-help wyświetla opis tych działań. Działania oznaczone przez (*) są domyślnie wymuszone. Ostrzeżenie: Te opcje są zwykle przeznaczone wyłącznie dla doświadczonych użytkowników. Użycie ich bez pełnego zrozumienia efektu działania może spowodować uszkodzenie systemu. all: Włącza (lub wyłącza) wszystkie opcje typu "force". downgrade(*): Zainstalowanie pakietu, nawet gdy nowsza jego wersja jest już zainstalowana. Ostrzeżenie: W chwili obecnej dpkg nie sprawdza zależności podczas instalowania starszej wersji pakietu i dlatego nie wypisze ostrzeżenia, jeżeli zainstalowanie starszej wersji popsuje zależności innych pakietów. Instalowanie starszych wersji niezbędnych (essential) pakietów może spowodować - i jest to poważny skutek uboczny - że Twój system nie będzie się nadawał do użytku. Proszę używać tej opcji ostrożnie. configure-any: Skonfigurowanie wszystkich rozpakowanych ale nieskonfigurowanych pakietów, od których zależy bieżący pakiet. hold: Działanie obejmie także pakiety oznaczone jako "wstrzymane" (hold). remove-reinstreq: Usunięcie pakietu, nawet wtedy gdy jest uszkodzony i wymaga przeinstalowania. Może to spowodować pozostawienie części pakietu w systemie, gdyż dpkg zapomni o niej. remove-essential: Usunięcie pakietu, nawet wtedy gdy jest on uznany za niezbędny (essential). Pakiety niezbędne zawierają podstawowe polecenia Uniksa. Usunięcie ich może spowodować, że system przestanie działać. Należy zachować szczególną ostrożność przy użyciu tej opcji. depends: Zamiana wszystkich problemów z zależnościami na ostrzeżenia. depends-version: Zignorowanie problemów z numerami wersji przy sprawdzaniu zależności. breaks: Instalacja, nawet jeśliby to popsuło inny pakiet. conflicts: Instalacja, nawet gdy pakiet powoduje konflikt z innym. Powstać może niebezpieczeństwo nadpisania plików z innego pakietu, dlatego należy zachować ostrożność przy użyciu tej opcji. confmiss: Zawsze będą instalowane brakujące pliki konfiguracyjne. Używanie tej opcji może być niebezpieczne, ponieważ nie zachowuje to zmiany dokonanej na pliku (czyli jego usunięcia). confnew: Jeśli plik konfiguracyjny został zmodyfikowany, zainstalowana zostanie jego nowa wersja bez pytania, chyba że użyto również opcji --force-confdef, co spowoduje wykonanie domyślnej akcji. confold: Jeśli plik konfiguracyjny został zmodyfikowany, stara wersja zostanie zachowana bez pytania, chyba że użyto również opcji --force-confdef, co spowoduje wykonanie domyślnej akcji. confdef: Jeśli plik konfiguracyjny został zmodyfikowany, wybrane zostanie domyślne działanie. Jeżeli nie określono domyślnej akcji, użytkownik zostanie poproszony o dokonanie wyboru. Podanie dodatkowo opcji --force-confnew lub --force-confold zdecyduje o dalszym działaniu. confask: If a conffile has been modified always offer to replace it with the version in the package, even if the version in the package did not change. If any of --force-confmiss, --force-confnew, --force-confold, or --force-confdef is also given, it will be used to decide the final action. overwrite: Nadpisanie plików z innych pakietów, w przypadku gdy dany plik występuje także w innym pakiecie. overwrite-dir Nadpisanie katalogów z innych pakietów, w przypadku gdy dany katalog występuje także w innym pakiecie. overwrite-diverted: Nadpisanie plików ominiętych plikami nieominiętymi. unsafe-io: Do not perform safe I/O operations when unpacking. Currently this implies not performing file system syncs before file renames, which is known to cause substantial performance degradation on some file systems, unfortunately the ones that require the safe I/O on the first place due to their unreliable behaviour causing zero-length files on abrupt system crashes. Note: For ext4, the main offender, consider using instead the mount option nodelalloc, which will fix both the performance degradation and the data safety issues, the latter by making the file system not produce zero-length files on abrupt system crashes with any software not doing syncs before atomic renames. Warning: Using this option might improve performance at the cost of losing data, use with care. architecture: Działanie obejmie pakiety z niepoprawną architekturą. bad-path: Zignorowanie braku pewnych programów w ścieżce zmiennej systemowej PATH. not-root: Próba (de)instalacji, gdy dpkg nie jest uruchamiany z konta administartora. bad-verify: Instalowanie pakietu, nawet jeżeli nie powiedzie się sprawdzenie jego autentyczności.

--ignore-depends=pakiet,...
    Zignorowanie sprawdzania zależności od podanych pakietów (a ściślej rzecz biorąc, sprawdzanie się odbywa, ale w przypadku konfliktów wyświetlane jest tylko ostrzeżenie).

--new, --old
    Wybór pomiędzy nowym i starym formatem binarnym pakietu. Ta opcja jest przesłana do dpkg-deb(1).

--nocheck
    Brak sprawdzania zawartości pliku kontrolnego podczas budowania pakietu. Ta opcja jest przesłana do dpkg-deb(1).

--no-act, --dry-run, --simulate
    Podejmowane działania nie powodują żadnych zmian. Ta opcja jest użyteczna, gdy potrzeba sprawdzić, czy działanie się wykona, ale bez powodowania zmian czegokolwiek. Opcję --no-act należy podać jako pierwszy parametr, gdyż w przeciwnym razie można otrzymać niespodziewane efekty. (np. dpkg --purge bla --no-act wyczyści pakiet bla, a następnie spróbuje wyczyścić pakiet o nazwie --no-act, mimo że najprawdopodobniej spodziewałeś się, że takie polecenie nic nie zrobi).

-R, --recursive
    Działanie obejmie wszystkie pliki *.deb z podanego katalogu, wraz z podkatalogami tego katalogu. Ta opcja może zostać użyta wraz z -i, -A, --install, --unpack oraz --avail.

-G  Nieinstalowanie pakietu, jeśli jego nowsza wersja jest już zainstalowana. Jest to dokładnie to samo, co --refuse-downgrade.

--admindir=katalog
    Zmiana domyślnego katalogu administracyjnego, zawierającego wiele plików dostarczających informacji o stanie zainstalowanych i niezainstalowanych pakietów itp. (Wartość domyślna to /var/lib/dpkg).

--instdir=katalog
    Zmiana domyślnego katalogu instalacyjnego, czyli katalogu, w którym pakiety są instalowane. instdir jest także katalogiem przekazywanym do chroot(2) przed uruchomieniem skryptów dostarczonyhc przez opiekuna pakietu, co oznacza, że skrypty te widzą instdir jako główny katalog hierarchii. (Wartość domyślna to /).

--root=katalog
    Zmiana root zmienia instdir na katalog i admindir na katalog/var/lib/dpkg.

-O, --selected-only
    Działanie obejmuje wyłącznie pakiety wybrane do instalacji. Wybór może zostać dokonany przez polecenie dselect lub dpkg, gdy wykonuje operacje na pakietach. Na przykład pakiet usuwany jest zaznaczany jako wybrany do odinstalowania.

-E, --skip-same-version
    Nieinstalowanie pakietu, jeśli o tej samej wersji jest już zainstalowany w systemie.

--pre-invoke=polecenie
--post-invoke=polecenie
    Określa dodatkowe polecenie, które będzie wywołane przez "sh -c" przed lub po wykonaniu przez dpkg akcji: unpack, configure, install, triggers-only, remove oraz purge. Opcja ta może być podana wielokrotnie. Zachowywana jest kolejność podawania opcji, poprzedzane są one jeszcze opcjami z plików konfiguracyjnych. Zmienna środowiska DPKG_HOOK_ACTION jest ustawiana dla dodatkowych poleceń na wartość odpowiadającą bieżącej akcji dpkg. Uwaga: nakładki mogą uruchamiać dpkg kilka razy w ciągu jednego wywołania, co może spowodować uruchomienie dodatkowych poleceń więcej razy niż oczekiwano.

--path-exclude=glob-pattern
--path-include=glob-pattern
    Set glob-pattern as a path filter, either by excluding or re-including previously excluded paths matching the specified patterns during install. Warning: take into account that depending on the excluded paths you might completely break your system, use with caution. The glob patterns use the same wildcards used in the shell, were '*' matches any sequence of characters, including the empty string and also '/'. For example, '/usr/*/READ*' matches '/usr/share/doc/package/README'. As usual, '?' matches any single character (again, including '/'). And '[' starts a character class, which can contain a list of characters, ranges and complementations. See glob(7) for detailed information about globbing. Note: the current implementation might re-include more directories and symlinks than needed, to be on the safe side and avoid possible unpack failures, future work might fix this. This can be used to remove all paths except some particular ones; a typical case is:
    --path-exclude=/usr/share/doc/*
    --path-include=/usr/share/doc/*/copyright
    to remove all documentation files except the copyright files. These two options can be specified multiple times, and interleaved with each other. Both are processed in the given order, with the last rule that matches a file name making the decision.

--status-fd n
    Wysłanie "czytelnego dla maszyny" statusu pakietu i informacji o postępie do deskryptora pliku n. Ta opcja może być podana wielokrotnie. Informacja jest ogólnie zapisywana po jednym wpisie w linii, w jednej z następujących form:

    status: pakiet: status
        Nastąpiła zmiana statusu pakietu, status jest taki jak w pliku statusu pakietu.

    status: pakiet : error : rozszerzony-komunikat-błędu
        Nastąpił błąd. Niefortunnie na czas pisania tego rozszerzony-komunikat-błędu może zawierać znaki nowej linii, aczkolwiek w językach gdzie tłumacze nie popełnili błędów, po każdym znak nowej linii następuje przynajmniej jedna spacja.

    status: plik : conffile-prompt : 'prawdziwy-stary' 'prawdziwy-nowy' zmiany-użytkownika zmiany-dystrybucyjne
        Użytkownikowi zostanie przedstawione pytanie odnośnie pliku konfiguracyjnego.

    processing: etap: pakiet
        Sent just before a processing stage starts. stage is one of upgrade, install (both sent before unpacking), configure, trigproc, disappear, remove, purge.

--log=nazwa-pliku
    Zapisuje informacje o zmianach stanu i akcjach do pliku logu nazwa-pliku, zamiast do domyślnego pliku /var/log/dpkg.log. Jeżeli tę opcję podano kilka razy, brany jest pod uwagę plik podany w ostatniej opcji. Komunikaty logu są w postaci"YYYY-MM-DD HH:MM:SS <status> <pakiet> <wersja-zainstalowana>" dla zmian stanu; "YYYY-MM-DD HH:MM:SS <akcja> <pakiet> <wersja-instalowana> <wersja-dostępna>" dla akcji, gdzie <akcja> jest jedną z install (instalacja), upgrade (aktualizacja), remove (usuwanie), purge (czyszczenie) oraz "YYYY-MM-DD HH:MM:SS conffile <nazwa-pliku> <decyzja>" dla zmian plików konfiguracyjnych, gdzie <decyzja> to albo install (instalacja nowej wersji), albo keep (zachowanie poprzedniej wersji).

--no-debsig
    Nie próbuje weryfikować sygnatur pakietu.

--no-triggers
    Nie uruchamiaj żadnych wyzwalaczy w tym przebiegu (aktywacje nadal będą zarejestrowane). Przy użyciu wraz z --configure pakiet lub --triggers-only pakiet skrypt "postinst" wskazanego pakietu nadal zostanie uruchomiony, nawet jeśli wymagane jest tylko uruchomienie wyzwalaczy. Użycie tej opcji może pozostawić pakiety w niewłaściwym stanie triggers-awaited lub triggers-pending. Może to być później naprawione przez wywołanie: dpkg --configure --pending.

--triggers
    Anuluje poprzednie --no-triggers.

PLIKI

/etc/dpkg/dpkg.cfg
    Plik konfiguracyjny zawierający domyślne opcje.

/var/log/dpkg.log
    Domyślny plik logu (patrz /etc/dpkg/dpkg.cfg(5) i opcja --log).

Pozostałe pliki wymienione poniżej odnoszą się do swoich domyślnych katalogów. Opcja --admindir może zmienić lokalizację tych plików.

/var/lib/dpkg/available
    Lista dostępnych pakietów.

/var/lib/dpkg/status
    Stan dostępnych pakietów. Ten plik zawiera informacje o tym, czy dany pakiet jest wybrany do skasowania, czy jest zainstalowany itp. Te informacje są opisane w sekcji INFORMACJE O PAKIETACH. Kopia zapasowa pliku statusu jest tworzona w /var/backups każdego dnia. Może to być przydatne jeśli zostanie on utracony lub uszkodzony z powodu kłopotów z systemami plików.

Poniższe pliki są częścią składową pakietów binarnych. Więcej informacji o nich można znaleźć w deb(5).

control

conffiles

preinst

postinst

prerm

postrm

ŚRODOWISKO

HOME
    If set, dpkg will use it as the directory from which to read the user specific configuration file.

TMPDIR
    If set, dpkg will use it as the directory in which to create temporary files and directories.

PAGER
    The program dpkg will execute when displaying the conffiles.

SHELL
    Program uruchamiany przez dpkg, gdy trzeba uruchomić nową sesję powłoki.

COLUMNS
    Ustawia liczbę kolumn używanych przez dpkg w czasie wyświetlania sformatowanego tekstu. Obecnie używane tylko przez opcję -l.

DPKG_SHELL_REASON
    Defined by dpkg on the shell spawned on the conffile prompt to examine the situation. Current valid value: conffile-prompt.

DPKG_CONFFILE_OLD
    Defined by dpkg on the shell spawned on the conffile prompt to examine the situation. Contains the path to the old conffile.

DPKG_CONFFILE_NEW
    Defined by dpkg on the shell spawned on the conffile prompt to examine the situation. Contains the path to the new conffile.

DPKG_RUNNING_VERSION
    Zdefiniowana przez dpkg w środowisku skryptu opiekuna pakietu, jako wersja aktualnie uruchomionej instancji programu dpkg.

DPKG_MAINTSCRIPT_PACKAGE
    Zdefiniowana przez dpkg w środowisku skryptu opiekuna pakietu, jako nazwa przetwarzanego pakietu.

DPKG_MAINTSCRIPT_ARCH
    Zdefiniowana przez dpkg w środowisku skryptu opiekuna pakietu, jako architektura dla której budowano pakiet.

DPKG_MAINTSCRIPT_NAME
    Defined by dpkg on the maintainer script environment to the name of the script running (preinst, postinst, prerm, postrm).

PRZYKŁADY
Wyświetlenie wszystkich pakietów związanych z edytorem vi(1):
    dpkg -l '*vi*'
Wyświetlenie informacji z pliku /var/lib/dpkg/available o dwóch pakietach:
     dpkg --print-avail elvis vim | less
Samodzielne przeszukanie informacji o pakietach:
     less /var/lib/dpkg/available
Wykasowanie zainstalowanego pakietu elvis:
     dpkg -r elvis
Aby zainstalować pakiet, należy wpierw znaleźć go w archiwum lub na CDROM. Plik "available" pokazuje, że pakiet vim jest w sekcji "editors":
     cd /cdrom/pool/main/v/vim
     dpkg -i vim_4.5-3.deb
Aby stworzyć kopię lokalnie wybranych pakietów:
     dpkg --get-selections >mojepakiety
Ten plik można przenieść do innego systemu i zainstalować te pakiety poprzez:
     dpkg --clear-selections
     dpkg --set-selections <mojepakiety
Należy zauważyć, że ta opcja nie powoduje zainstalowania lub usunięcia czegokolwiek, ale tylko zaznacza wskazane pakiety do zainstalowania bądź usunięcia. Do pobrania i zainstalowania tych pakietów trzeba użyć innego programu. Na przykład można w tym celu użyć polecenia apt-get dselect-upgrade. Zwyczajowo do wyboru pakietów służy dselect(1), który daje większe możliwości zmiany ich stanu.

DODATKOWA FUNKCJONALNOŚĆ
Dodatkową funkcjonalność można uzyskać, instalując którykolwiek z następujących pakietów: apt, aptitude oraz debsums.

ZOBACZ TAKŻE
aptitude(1), apt(1), dselect(1), dpkg-deb(1), dpkg-query(1), deb(5), deb-control(5), dpkg.cfg(5), oraz dpkg-reconfigure(8).

BŁĘDY
--no-act podaje raczej zbyt mało pomocnych informacji.

AUTORZY
Patrz plik /usr/share/doc/dpkg/THANKS.gz zawierający listę osób, które przyczyniły się do rozwoju programu dpkg.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008